Information Protection Policies - Get

情報保護ポリシーの詳細。

GET https://management.azure.com/{scope}/providers/Microsoft.Security/informationProtectionPolicies/{informationProtectionPolicyName}?api-version=2017-08-01-preview

URI パラメーター

名前 / 必須 説明
informationProtectionPolicyName
path True

InformationProtectionPolicyName

情報保護ポリシーの名前。

scope
path True

string

リソースの完全資格を持つAzureリソースマネージャー識別子。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

名前 説明
200 OK

InformationProtectionPolicy

Azureの運用は無事に完了しました。

Other Status Codes

Common.CloudError

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

Get the customized information protection policy for a management group
Get the effective information protection policy for a management group

Get the customized information protection policy for a management group

要求のサンプル

GET https://management.azure.com/providers/Microsoft.Management/managementGroups/148059f7-faf3-49a6-ba35-85122112291e/providers/Microsoft.Security/informationProtectionPolicies/custom?api-version=2017-08-01-preview

応答のサンプル

{
  "name": "custom",
  "type": "Microsoft.Security/informationProtectionPolicies",
  "id": "/providers/Microsoft.Management/managementGroups/148059f7-faf3-49a6-ba35-85122112291e/providers/Microsoft.Security/informationProtectionPolicies/custom",
  "properties": {
    "informationTypes": {
      "3bf35491-99b8-41f2-86d5-c1200a7df658": {
        "custom": true,
        "displayName": "Custom",
        "enabled": true,
        "keywords": [
          {
            "canBeNumeric": true,
            "custom": true,
            "pattern": "%custom%"
          }
        ],
        "order": 1400,
        "recommendedLabelId": "7aa516c7-5a53-4857-bc6e-6808c6acd542"
      },
      "7fb9419d-2473-4ad8-8e11-b25cc8cf6a07": {
        "custom": false,
        "displayName": "Networking",
        "enabled": true,
        "keywords": [
          {
            "canBeNumeric": false,
            "custom": true,
            "pattern": "%networking%"
          }
        ],
        "order": 100,
        "recommendedLabelId": "575739d2-3d53-4df0-9042-4c7772d5c7b1"
      }
    },
    "labels": {
      "1345da73-bc5a-4a8f-b7dd-3820eb713da8": {
        "displayName": "Public",
        "enabled": true,
        "order": 100
      },
      "575739d2-3d53-4df0-9042-4c7772d5c7b1": {
        "displayName": "Confidential",
        "enabled": true,
        "order": 300
      },
      "7aa516c7-5a53-4857-bc6e-6808c6acd542": {
        "displayName": "General",
        "enabled": true,
        "order": 200
      }
    }
  }
}

Get the effective information protection policy for a management group

要求のサンプル

GET https://management.azure.com/providers/Microsoft.Management/managementGroups/148059f7-faf3-49a6-ba35-85122112291e/providers/Microsoft.Security/informationProtectionPolicies/effective?api-version=2017-08-01-preview

応答のサンプル

{
  "name": "effective",
  "type": "Microsoft.Security/informationProtectionPolicies",
  "id": "/providers/Microsoft.Management/managementGroups/148059f7-faf3-49a6-ba35-85122112291e/providers/Microsoft.Security/informationProtectionPolicies/effective",
  "properties": {
    "informationTypes": {
      "3bf35491-99b8-41f2-86d5-c1200a7df658": {
        "custom": true,
        "displayName": "Custom",
        "enabled": true,
        "keywords": [
          {
            "canBeNumeric": false,
            "custom": true,
            "pattern": "%networking%"
          }
        ],
        "order": 1400,
        "recommendedLabelId": "7aa516c7-5a53-4857-bc6e-6808c6acd542"
      },
      "5856f35c-8e08-4d08-9bf7-87a146150569": {
        "custom": false,
        "displayName": "Contact Info",
        "enabled": true,
        "keywords": [
          {
            "canBeNumeric": false,
            "custom": false,
            "pattern": "%email%"
          },
          {
            "canBeNumeric": false,
            "custom": false,
            "pattern": "%e-mail%"
          },
          {
            "canBeNumeric": false,
            "custom": false,
            "pattern": "%addr%"
          },
          {
            "canBeNumeric": true,
            "custom": false,
            "pattern": "%street%"
          },
          {
            "canBeNumeric": false,
            "custom": false,
            "pattern": "%city%"
          }
        ],
        "order": 200,
        "recommendedLabelId": "575739d2-3d53-4df0-9042-4c7772d5c7b1"
      },
      "7fb9419d-2473-4ad8-8e11-b25cc8cf6a07": {
        "custom": false,
        "displayName": "Networking",
        "enabled": true,
        "keywords": [
          {
            "canBeNumeric": false,
            "custom": false,
            "pattern": "%ip%"
          },
          {
            "canBeNumeric": false,
            "custom": false,
            "pattern": "ip%address%"
          },
          {
            "canBeNumeric": false,
            "custom": false,
            "pattern": "%mac%address%"
          },
          {
            "canBeNumeric": true,
            "custom": true,
            "excluded": true,
            "pattern": "%networking%"
          }
        ],
        "order": 100,
        "recommendedLabelId": "575739d2-3d53-4df0-9042-4c7772d5c7b1"
      }
    },
    "labels": {
      "1345da73-bc5a-4a8f-b7dd-3820eb713da8": {
        "displayName": "Public",
        "enabled": true,
        "order": 100
      },
      "575739d2-3d53-4df0-9042-4c7772d5c7b1": {
        "displayName": "Confidential",
        "enabled": true,
        "order": 300
      },
      "7aa516c7-5a53-4857-bc6e-6808c6acd542": {
        "displayName": "General",
        "enabled": true,
        "order": 200
      }
    }
  }
}

定義

名前 説明
Common.CloudError

失敗した操作のエラーの詳細を返す、すべての Azure Resource Manager API の一般的なエラー応答。 (これは、OData エラー応答形式にも従います)。

Common.CloudErrorBody

エラーの詳細。

createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

InformationProtectionKeyword

情報型のキーワード。

InformationProtectionPolicy

情報保護ポリシー。

InformationProtectionPolicyName

情報保護ポリシーの名前。

InformationType

情報の種類。

Rank

秘密度ラベルのランク。

SensitivityLabel

秘密度ラベル。

systemData

リソースの作成と最後の変更に関連するメタデータ。

Common.CloudError

失敗した操作のエラーの詳細を返す、すべての Azure Resource Manager API の一般的なエラー応答。 (これは、OData エラー応答形式にも従います)。

名前 説明
error.additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

error.code

string

エラー コード。

error.details

Common.CloudErrorBody[]

エラーの詳細。

error.message

string

エラー メッセージ。

error.target

string

エラーターゲット。

Common.CloudErrorBody

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

Common.CloudErrorBody[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

InformationProtectionKeyword

情報型のキーワード。

名前 説明
canBeNumeric

boolean

数値型にキーワードを適用できるかどうかを示します。

custom

boolean

キーワードがカスタムかどうかを示します。

excluded

boolean

キーワードが除外されているかどうかを示します。

pattern

string

キーワード パターン。

InformationProtectionPolicy

情報保護ポリシー。

名前 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

リソースの名前

properties.informationTypes

<string,  InformationType>

秘密度情報の種類。

properties.labels

<string,  SensitivityLabel>

秘密度ラベルの辞書。

properties.lastModifiedUtc

string (date-time)

ポリシーが最後に変更された UTC 時刻について説明します。

properties.version

string

ポリシーのバージョンについて説明します。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

InformationProtectionPolicyName

情報保護ポリシーの名前。

説明
effective

効果的

custom

custom

InformationType

情報の種類。

名前 説明
custom

boolean

情報の種類がカスタムかどうかを示します。

description

string

情報の種類の説明。

displayName

string

情報の種類の名前。

enabled

boolean

情報の種類が有効かどうかを示します。

keywords

InformationProtectionKeyword[]

情報型のキーワード。

order

integer (int32)

情報の種類の順序。

recommendedLabelId

string (uuid)

この情報の種類に関連付ける推奨ラベル ID。

Rank

秘密度ラベルのランク。

説明
None

None

Low

Medium

中程度

High

High

Critical

危うい

SensitivityLabel

秘密度ラベル。

名前 説明
description

string

秘密度ラベルの説明。

displayName

string

秘密度ラベルの名前。

enabled

boolean

ラベルが有効かどうかを示します。

order

integer (int32)

秘密度ラベルの順序。

rank

Rank

秘密度ラベルのランク。

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。